# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free
%define namedversion %{version}

Name:           jboss-ejb3-build
Version:        1.0.4
Release:        6%{?dist}
Epoch:          0
Summary:        JBoss EJB3 build pom
License:        LGPLv2+
Group:          Development/Java
URL:            http://www.jboss.org/
# svn -q export http://anonsvn.jboss.org/repos/jbossas/projects/ejb3/tags/jboss-ejb3-build-1.0.4/ && tar cjf jboss-ejb3-build-1.0.4.tar.bz2 jboss-ejb3-build-1.0.4
Source0:        jboss-ejb3-build-1.0.4.tar.bz2
Patch0:         jboss-ejb3-build-pom.patch
BuildArch:      noarch
Requires(post): jpackage-utils >= 0:1.7.3
Requires(postun): jpackage-utils >= 0:1.7.3
Requires:       jpackage-utils >= 0:1.7.3
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
JBoss EJB3 build pom.

%prep
%setup -q 
%patch0

%build

%install
rm -rf %{buildroot}

# pom
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms
install -p -m 644 pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap org.jboss.ejb3 jboss-ejb3-build %{version} JPP %{name}

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%changelog
* Mon Sep 27 2010 David Walluck <dwalluck@redhat.com> 0:1.0.4-6
- fix W: mixed-use-of-spaces-and-tabs

* Mon Sep 27 2010 David Walluck <dwalluck@redhat.com> 0:1.0.4-5
- rebuild

* Sat Jan 09 2010 Will Tatam <will.tatam@red61.com> 1.0.4-4
- Auto rebuild for JPackage 6 in centos5 mock

* Tue Nov 17 2009 David Walluck <dwalluck@redhat.com> 0:1.0.4-3
- fix directory ownership
- fix pom name
- update License

* Tue Jul 21 2009 Ralph Apel <r.apel@r-apel.de> - 0:1.0.4-2.jpp6
- relax enforcement
- omit apiviz doclet

* Tue Jul 21 2009 Ralph Apel <r.apel@r-apel.de> - 0:1.0.4-1.jpp6
- first release
